Home > Could Not > Could Not Compile Gcc Version Check

Could Not Compile Gcc Version Check

be killed in the war vs be killed by the war I want to become a living god! Budgie Desktop Development Ideas Packaging Who is online Users browsing this forum: No registered users and 4 guests Solus Forums Delete all board cookies The team Contact us How do you make a Canon 70D show the photo you just took on the rear display? Abort now? (Answer: No)-> Using the kernel source path '/usr/src/linux-headers-3.15.6' as specified by the '--kernel-source-path' commandline option.ERROR: Unable to determine the version of the kernel sources located in '/usr/src/linux-headers-3.15.6'. http://awendigital.com/could-not/could-not-compile-gcc-version-check-c.html

All Rights Reserved. Top Display posts from previous: All posts1 day7 days2 weeks1 month3 months6 months1 year Sort by AuthorPost timeSubject AscendingDescending Post Reply Print view 2 posts • Page 1 of 1 Return xtraeme added a commit that closed this issue May 19, 2014 xtraeme

I've tried updating my binutils, modutils, and gcc (but upgrading gcc fails in both yum and apt). However, when I tried installing the drivers on his machine (and on another machine I worked on), I receive this strange error message that has been driving me mad. Who is this six-armed blonde female character? But after that the installer was unable to build the NVIDIA kernel module.

However, for C++ code you may find some information from symbol versions. The Linux 2.6 kernel module loader rejects kernel modules built with a version of gcc that does not exactly match that of the compiler used to build the running kernel.So at Please offer me some help, my brother's really yelling at me that he can't play his precious games. ;) BloodyBullet12th August 2004, 07:48 PMWhen I installed Fedora on my computer, my Display posts from previous:All posts1 day7 days2 weeks1 month3 months6 months1 yearSort byAuthorPost timeSubjectAscendingDescending Post Reply Print view 28 posts 123 Return to “Hardware” Jump to Support Announcements Hardware

What's the matter? Personal Open source Business Explore Sign up Sign in Pricing Blog Support Search GitHub This repository Watch 45 Star 247 Fork 341 voidlinux/void-packages Code Issues 284 Pull requests 123 Projects OR read more like this:Linux Command: Show Linux VersionFind Linux Kernel Version CommandFind Linux / UNIX Kernel Version CommandHowTo: Find Out My Linux Distribution Name and VersionHowTo: Check Linux Kernel VersionHowTo: If I include literal strings in the source code, those are correctly found by strings. –Konrad Rudolph Mar 12 '12 at 22:28 You would need to specify the -a

Usually the runtime is that of a compiler shipment, and its version is not less than the one shown with the above command. sp=sharingDanny ikey Project Founder Posts: 1425 Joined: Sun Jul 27, 2014 10:42 pm Location: Ireland Contact: Website Re: NVIDIA driver Quote Mon Aug 25, 2014 7:55 pm It wont let me In this example set CC to gcc version 4.3.x: $ export CC=/usr/bin/gcc-4.3
$ make OR start building NVIDIA module using gcc-4.3: $ export CC=/usr/bin/gcc-4.3
$ bash NVIDIA-Linux-x86_64-295.20.run Share this ikey Project Founder Posts: 1425 Joined: Sun Jul 27, 2014 10:42 pm Location: Ireland Contact: Website Re: NVIDIA driver Quote Mon Aug 25, 2014 11:17 am Oh, and put the lightdm.service

Hot Network Questions How can I tell whether a generator was just-started? http://forums.fedoraforum.org/archive/index.php/t-20525.html A test of English for some A real function problem Could aliens colonize Earth without realizing humans are people too? Please be sure you have your Linux distribution's gcc and libc development packages installed.If you know what you are doing and want to ignore the gcc version check, select "No" to Why is the electric field due to a charged infinite cylinder identical to that produced by an infinite line of charge? "Shields at 10% one more hit and..." What?

Please offer me some help, my brother's really yelling at me that he can't play his precious games. ;) Hi, I had the same; I did "yum install gcc" vBulletin v3.8.7, Check This Out gcc-version-check failed: ./usr/src/nv/conftest.sh: line 1: cc: command not found could not compile gcc-version-check.c I've been beating on it for a very long time now and I can't beat it. dspangenberg Posts: 4 Joined: Mon Aug 25, 2014 2:52 am Re: NVIDIA driver Quote Mon Aug 25, 2014 8:11 pm Yes, both installed. You need to also blacklist nouveua by adding a file in /etc/modprobe.d (mkdir it) with the contents"blacklist nouveau" , restarting without the display manager and without nouveau, then install development files

Skip to content FAQ Login Register Solus Forums Support Hardware Unanswered topics Active topics FAQ Search Login Register NVIDIA driver Post Reply Print view 28 posts 123 dspangenberg Posts: 4 Joined: Reload to refresh your session. Try this: readelf -Wa file.exe | grep 'GCC[[:alnum:]_.]*' --only-match | sort | uniq | tail -n 1 It won't show you the version of GCC used, however. Source tashirosgt21st August 2004, 05:59 PMYou don't necessarily need the latest gcc, you need the version that your borther's kernel was compiled with.

ikey Project Founder Posts: 1425 Joined: Sun Jul 27, 2014 10:42 pm Location: Ireland Contact: Website Re: NVIDIA driver Quote Mon Aug 25, 2014 7:55 pm nvm i have 3 copies gcc-version-check failed: ./usr/src/nv/conftest.sh: line 1: cc: command not found could not compile gcc-version-check.c I've been beating on it for a very long time now and I can't beat it. Privacy - Terms of Service - Questions or Comments current community chat Stack Overflow Meta Stack Overflow your communities Sign up or log in to customize your list.

What it shows is the version of symbols in runtime supplied to the compiler.

Is Nvidia just looking for a gcc version > 4.4 and the same version that compiled the kernel? When I installed it on my brother's machine, I did the same for him. and $ objdump -s --section .comment /usr/lib64/flash-plugin/libflashplayer.so /usr/lib64/flash-plugin/libflashplayer.so: file format elf64-x86-64 Contents of section .comment: 0000 00474343 3a202847 4e552920 342e332e .GCC: (GNU) 4.3. 0010 32203230 30383131 30352028 52656420 2 20081105 (Red Unsold Atari videogames dumped in a desert?

What's the matter? However, when I tried installing the drivers on his machine (and on another machine I worked on), I receive this strange error message that has been driving me mad. How to align left and right on the same lines Help, my office wants infinite branch merges as policy; what other options do we have? have a peek here Sign in to comment Contact GitHub API Training Shop Blog About © 2016 GitHub, Inc.

The problem you're going to have is that lightdm is running, so X is running. kerosin21st August 2004, 04:10 PMThe NVIDIA drvier seem buggy at the moment. I couldn't upload the logfile here, so here ist the link:https://drive.google.com/file/d/0B0hXAh ... It’s a vanilla GCC. –Konrad Rudolph Mar 12 '12 at 21:13 Nothing at all.

It seems to be a problem with acpi. My target is actually an embedded Linux kernel. –Ilyes Gouta Mar 5 '10 at 13:55 add a comment| up vote 0 down vote This information is not stored in the compiled I've tried updating my binutils, modutils, and gcc (but upgrading gcc fails in both yum and apt). more stack exchange communities company blog Stack Exchange Inbox Reputation and Badges sign up log in tour help Tour Start here for a quick overview of the site Help Center Detailed

Otherwise, select "Yes" to abort installation, set the CC environment variable to the name of the compiler used to compile your kernel, and restart installation. Allow it torun the nvidia-xconfig tool.You also may encounter some tearing, so check https://bbs.archlinux.org/viewtopic.php ... 9#p1018579Its a somewhat painful process right now, so I need to figure out how to streamline All rights reserved.